de.dhbwstuttgart.JvmDisassembler

## Class jvmDisassembler

- java.lang.Object
- - de.dhbwstuttgart.JvmDisassembler.jvmDisassembler

-     class jvmDisassembler
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `jvmDisassembler()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `(package private) static int` | `makePosByte(int code)`
    `(package private) static long` | `makePosInt(long code)`
    `(package private) static int` | `makePosShort(int code)`
    `(package private) static void` | `parse_attribute(java.io.DataInputStream d, Menge<java.lang.String> const_pool)`
    `(package private) static void` | `parse_code(java.io.DataInputStream d, Menge<java.lang.String> const_pool)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### jvmDisassembler

          jvmDisassembler()

  - ### Method Detail

    - #### makePosByte

          static int makePosByte(int code)

    - #### makePosShort

          static int makePosShort(int code)

    - #### makePosInt

          static long makePosInt(long code)

    - #### parse_attribute

          static void parse_attribute(java.io.DataInputStream d,
                                      Menge<java.lang.String> const_pool)
                               throws java.io.IOException,
                                      java.lang.Exception

      Throws:
        `java.io.IOException`
        `java.lang.Exception`

    - #### parse_code

          static void parse_code(java.io.DataInputStream d,
                                 Menge<java.lang.String> const_pool)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.FileNotFoundException,
                                  java.io.IOException,
                                  java.lang.Exception

      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`
        `java.lang.Exception`